Subject: Re: bug#5080: indic text is not displayed correctly in emacs shell

From: Kenichi Handa <[email-masked]>
Date: Mon, 14 Dec 2009 11:03:24 +0900

In article <[email-masked]>, Praveen A <[email-masked]> writes:

> 2009/12/3 Praveen A <[email-masked]>:
> > (4a) Why is it taking Lohit Malayalam by default
> > (4b) Why is the display cluttered/overlapped with some fonts like Meera

> 4b is now resolved, details in
> http://debbugs.gnu.org/cgi/bugreport.cgi?bug=5146

Thank you for confirming that. 

> Now only remaining issue in the list is about selecting default font.
> I think it should be taken from fc-match :lang=ml

We can't simply use fc-match (i.e. FcFontMatch ()) because
it returns a font that doesn't match with :lang=ml if
there's no such font.  Perhaps we can use FcFontSetSort()
function on the result of FcFontList().

> Even as per the current policy of taking first one from fc-list
> :lang=ml, it is not working

> Though Meera is selected as the default font (fc-match gives this and
> it comes as the first result in fc-list) in fontconfig configuration,
> Lohit Malayalam is used as the default font to display Malyalam if no
> preference is set in .emacs.

I found that this is because qsort doesn't preserve the
original order if scores of two elements are equal.

Please wait again for a while.  I'm now working on it.

---
Kenichi Handa
[email-masked]